Package twisted :: Package internet :: Module base :: Class BasePort

[show private | hide private]
[frames | no frames]

## Class BasePort

        Logger --+
                 |
     Ephemeral --+
                 |
    FileDescriptor --+
                     |
                    BasePort

Known Subclasses:
  `Port`, `Port`

Basic implementation of a ListeningPort.

Method Summary
| `__init__(self, reactor)` (inherited from `FileDescriptor`)
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| ``connectionLost`(self, reason)` The connection was lost. (inherited from `FileDescriptor`)
| `createInternetSocket(self)`
| ``doWrite`(self)` Raises a RuntimeError
| ``fileno`(self)` File Descriptor number for select(). (inherited from `FileDescriptor`)
| ``logPrefix`(self)` Override this method to insert custom logging behavior. (inherited from `Logger`)
| ``loseConnection`(self)` Close the connection at the next available opportunity. (inherited from `FileDescriptor`)
| `pauseProducing(self)` (inherited from `FileDescriptor`)
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer. (inherited from `FileDescriptor`)
| `resumeProducing(self)` (inherited from `FileDescriptor`)
| ``startReading`(self)` Start waiting for read availability. (inherited from `FileDescriptor`)
| ``startWriting`(self)` Start waiting for write availability. (inherited from `FileDescriptor`)
| ``stopConsuming`(self)` Stop consuming data. (inherited from `FileDescriptor`)
| `stopProducing(self)` (inherited from `FileDescriptor`)
| ``stopReading`(self)` Stop waiting for read availability. (inherited from `FileDescriptor`)
| ``stopWriting`(self)` Stop waiting for write availability. (inherited from `FileDescriptor`)
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting. (inherited from `FileDescriptor`)
| ``write`(self, data)` Reliably write some data. (inherited from `FileDescriptor`)
| `writeSequence(self, iovec)` (inherited from `FileDescriptor`)
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately. (inherited from `FileDescriptor`)
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written. (inherited from `FileDescriptor`)

Class Variable Summary
`NoneType` | `addressFamily`
`NoneType` | `socketType`

Method Details

### doWrite(self)

Raises a RuntimeError

Class Variable Details

### addressFamily

  Type:
    `NoneType`
  Value:

        None

### socketType

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:25 2003 | http://epydoc.sf.net